| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_Descriptor_Format_t Struct Reference
Common Class Definitions

Audio class-specific Format Descriptor (LUFA naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | BitResolution
uint8_t | Channels
uint8_t | FormatType
USB_Descriptor_Header_t | Header
uint8_t | SubFrameSize
uint8_t | Subtype
uint8_t | TotalDiscreteSampleRates

## Detailed Description

Type define for an Audio class-specific audio format descriptor. This is used to give the host full details about the number of channels, the sample resolution, acceptable sample frequencies and encoding method used in the device's audio streams. See the USB Audio specification for more details.

Attention
  This descriptor must be followed by one or more USB_Audio_SampleFreq_t elements containing the continuous or discrete sample frequencies.

See also
  USB_Audio_StdDescriptor_Format_t for the version of this type with standard element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_Descriptor_Format_t::BitResolution

Bits of resolution of each channel's samples in the stream.

uint8_t USB_Audio_Descriptor_Format_t::Channels

Total number of discrete channels in the stream.

uint8_t USB_Audio_Descriptor_Format_t::FormatType

Format of the audio stream, see Audio Device Formats specification.

USB_Descriptor_Header_t USB_Audio_Descriptor_Format_t::Header

Regular descriptor header containing the descriptor's type and length.

uint8_t USB_Audio_Descriptor_Format_t::SubFrameSize

Size in bytes of each channel's sample data in the stream.

uint8_t USB_Audio_Descriptor_Format_t::Subtype

Sub type value used to distinguish between audio class-specific descriptors, must be AUDIO_DSUBTYPE_CSInterface_FormatType.

uint8_t USB_Audio_Descriptor_Format_t::TotalDiscreteSampleRates

Total number of discrete sample frequencies supported by the device. When zero, this must be followed by the lower and upper continuous sampling frequencies supported by the device; otherwise, this must be followed by the given number of discrete sampling frequencies supported.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h